if object_id('ofPrivate') is not null  
     drop table ofPrivate
GO
if object_id('ofOffline') is not null  
      drop table ofOffline
GO
if object_id('ofNoticeRote') is not null  
     drop table ofNoticeRote
GO
if object_id('ofPresence') is not null  
     drop table ofPresence
GO
if object_id('ofRosterGroups') is not null  
     drop table ofRosterGroups
GO
if object_id('ofVCard') is not null  
     drop table ofVCard
GO
if object_id('ofGroup') is not null  
     drop table ofGroup
GO
if object_id('ofGroupProp') is not null  
     drop table ofGroupProp
GO
if object_id('ofGroupUser') is not null  
     drop table ofGroupUser
GO
if object_id('ofID') is not null  
     drop table ofID
GO
if object_id('ofProperty') is not null  
     drop table ofProperty
GO
if object_id('ofVersion') is not null  
     drop table ofVersion
GO
if object_id('ofExtComponentConf') is not null  
     drop table ofExtComponentConf
GO
if object_id('ofRemoteServerConf') is not null  
     drop table ofRemoteServerConf
GO
if object_id('ofmucusertoken') is not null  
     drop table ofmucusertokenbak
GO
if object_id('ofPrivacyList') is not null  
     drop table ofPrivacyList
GO
if object_id('ofSASLAuthorized') is not null  
     drop table ofSASLAuthorized
GO
if object_id('ofSecurityAuditLog') is not null  
     drop table ofSecurityAuditLog
GO
if object_id('ofUpdateInfo') is not null  
     drop table ofUpdateInfo
GO
if object_id('ofMucService') is not null  
     drop table ofMucService
GO
if object_id('ofMucServiceProp') is not null  
     drop table ofMucServiceProp
GO
if object_id('ofMucRoom') is not null  
     drop table ofMucRoom
GO
if object_id('ofMucRoomProp') is not null  
     drop table ofMucRoomProp
GO
if object_id('ofMucAffiliation') is not null  
     drop table ofMucAffiliation
GO
if object_id('ofMucMember') is not null  
     drop table ofMucMember
GO
if object_id('ofMucConversationLog') is not null  
     drop table ofMucConversationLog
GO
if object_id('ofPubsubNode') is not null  
     drop table ofPubsubNode
GO
if object_id('ofPubsubNodeJIDs') is not null  
     drop table ofPubsubNodeJIDs
GO
if object_id('ofRoster') is not null  
     drop table ofRoster
GO
if object_id('ofPubsubNodeGroups') is not null  
     drop table ofPubsubNodeGroups
GO
if object_id('ofPubsubAffiliation') is not null  
     drop table ofPubsubAffiliation
GO
if object_id('ofPubsubItem') is not null  
     drop table ofPubsubItem
GO
if object_id('ofPubsubSubscription') is not null  
     drop table ofPubsubSubscription
GO
if object_id('ofPubsubDefaultConf') is not null  
     drop table ofPubsubDefaultConf
GO
if object_id('ofMucRoomUsers') is not null  
     drop table ofMucRoomUsers
GO
if object_id('ofUrlIcon') is not null  
     drop table ofUrlIcon
GO
if object_id('ofIconList') is not null  
     drop table ofIconList
GO
if object_id('ofdocupload') is not null  
     drop table ofdocupload
GO
if object_id('ofpopinfo') is not null  
     drop table ofpopinfo
GO
if object_id('ofmucroomfiles') is not null  
     drop table ofmucroomfiles
GO
if object_id('ofLastfrom') is not null  
     drop table ofLastfrom
GO
if object_id('ofClientKey') is not null  
     drop table ofClientKey
GO
if object_id('ofUser') is not null  
     drop table ofUser
GO
if object_id('ofUserProp') is not null  
     drop table ofUserProp
GO
if object_id('ofUserFlag') is not null  
     drop table ofUserFlag
GO